
  <div class="row">
    <div class="col-lg-8">
        <h1 class="page-header">Peliculas</h1>
    </div>
    <div class="col-lg-4">
      <button type="button" class="btn btn-block btn-social btn-success" data-toggle="modal" data-target="#pe"><i class="fa fa-plus fa-lg"></i>
        Nueva Pelicula
      </button>
    </div>
  </div>
  <div class="row">
    <div class="col-lg-12">
      <div class="panel panel-default">
        <div class="panel-body">
          <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
            <% @peliculas.each do |pelicula| %>
            <% @f = pelicula.funcion.count %>
              <div class="panel panel-default">
                <div class="panel-heading" role="tab" id="p<%= pelicula.peli_id %>">
                  <h4 class="panel-title">
                    <a role="button" data-toggle="collapse" data-parent="#accordion" href="#c<%= pelicula.peli_id %>" aria-expanded="true" aria-controls="c<%= pelicula.peli_id %>"><%= pelicula.peli_nom %></a>
                    <div class="pull-right">
                      <span class="badge"><%= pelicula.peli_dura %></span>
                      <span class="badge"><%= pelicula.peli_gen %></span>
                      <span class="badge"><%= pelicula.peli_ed %></span>
                    </div>
                  </h4>
                </div>
                <div id="c<%= pelicula.peli_id %>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="p<%= pelicula.peli_id %>">
                  <div class="panel-body">
                    <dl class="dl-horizontal">
                      <dt>ID</dt>
                      <dd><%= pelicula.peli_id %></dd>
                      <dt>Fecha Estreno</dt>
                      <dd><%= pelicula.peli_fest %></dd>
                      <dt>Director</dt>
                      <dd><%= pelicula.peli_direc %></dd>
                      <dt>Pais Origen</dt>
                      <dd><%= pelicula.peli_po %></dd>
                      <dt>Sinopsis</dt>
                      <dd><%= pelicula.peli_sinop %></dd>
                    </dl>
                      <%= link_to '<i class="fa fa-pencil fa-lg"></i>'.html_safe, edit_pelicula_path(pelicula), class: "btn btn-warning btn-circle" %>
                      <% if ( @f > 0 ) %>
                      <button class="btn btn-danger btn-circle" disabled="disabled" data-toggle="tooltip" data-placement="right" title="Cant. Funciones = <%= @f %>"><i class="fa fa-trash-o fa-lg"></i></button>
                      <% else %>
                      <%= link_to '<i class="fa fa-trash-o fa-lg"></i>'.html_safe, pelicula, method: :delete, class: "btn btn-danger btn-circle", data: { confirm: 'Are you sure?' } %>
                      <% end %>
                  </div>
                </div>
              </div>
            <% end %>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="pe" tabindex="-1" role="dialog" aria-labelledby="peLabel">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="peLabel">Nueva Pelicula</h4>
        </div>
        <div class="modal-body">
          <%= render 'form', pelicula: @pelicula %>
        </div>
      </div>
    </div>
  </div>
</div>

<script>
  $('#pe').on('shown.bs.modal', function () {
    $('#myInput').focus();
  });
</script>
